Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 644402 - dev-embedded/cpik depends on deprecated Qt4
Summary: dev-embedded/cpik depends on deprecated Qt4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Rafael Martins
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: qt4-removal
  Show dependency tree
 
Reported: 2018-01-13 00:02 UTC by Andreas Sturmlechner
Modified: 2018-04-08 20:50 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2018-01-13 00:02:13 UTC
Qt4 is dead and going away. Upstream 1.4.1 changelog indicates that it is a 'pure' Qt4 release, which means that porting to Qt5 should be straightforward. Sometimes upstreams just need to be made aware that Qt4 removal is imminent in distributions everywhere. Question is, is this project still alive?
Comment 1 Andreas Sturmlechner gentoo-dev 2018-03-18 01:07:30 UTC
ping
Comment 2 Larry the Git Cow gentoo-dev 2018-04-08 20:50:11 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c586aa352a2dbad8c52628409dd032ad0dfd093b

commit c586aa352a2dbad8c52628409dd032ad0dfd093b
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-04-08 20:49:03 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-04-08 20:49:59 +0000

    dev-embedded/cpik: Drop old using qtcore:4
    
    Closes: https://bugs.gentoo.org/644402
    Package-Manager: Portage-2.3.28, Repoman-2.3.9

 dev-embedded/cpik/Manifest             |  1 -
 dev-embedded/cpik/cpik-0.7.2_p4.ebuild | 39 ----------------------------------
 2 files changed, 40 deletions(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1257a57be6a6d27551914d9d37490a1ef9755fd0

commit 1257a57be6a6d27551914d9d37490a1ef9755fd0
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-04-08 20:46:55 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-04-08 20:49:58 +0000

    dev-embedded/cpik: 0.7.4_p4 version bump, use qtcore:5, fix GCC-6
    
    Thanks-to: Thomas Posch <bugs.gentoo.org@online.posch.name>
    Bug: https://bugs.gentoo.org/644402
    Closes: https://bugs.gentoo.org/639554
    Package-Manager: Portage-2.3.28, Repoman-2.3.9

 dev-embedded/cpik/Manifest                       |  1 +
 dev-embedded/cpik/cpik-0.7.4_p4.ebuild           | 46 ++++++++++++++++++++++++
 dev-embedded/cpik/files/cpik-0.7.4_p4-gcc6.patch | 12 +++++++
 3 files changed, 59 insertions(+)}